import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { ItemService } from '../../../../item-types/components/item-service/item-service.service';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../../shared/service/quiz.service';
export declare class CarouselComponent implements OnInit, OnChanges {
    private modalService;
    itemService: ItemService;
    _DomSanitizationService: DomSanitizer;
    private quizService;
    assetData: any;
    imagePath: any;
    assetsPosition: any;
    inline: any;
    imageUrl: any;
    modalRef: BsModalRef;
    myInterval: number;
    fileName: string;
    isOnlineEngine: boolean;
    constructor(modalService: BsModalService, itemService: ItemService, _DomSanitizationService: DomSanitizer, quizService: QuizService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    clickImage(template: any, slide: any): void;
    goFullscreen(): void;
    splitStringForType(type: any, value: any): string;
    loadImagePath(assetType: any, slide: any): any;
    loadImagePathinsideModal(imageUrl: any): any;
}
